libxfce4util-dev_4.10.1-2_amd64.deb


Advertisement

Description

libxfce4util-dev - Development files for libxfce4util6

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libxfce4util-dev
Package version 4.10.1
Package release 2
Package architecture amd64
Package type deb
Installed size 409 B
Download size 80.32 KB
Official Mirror ftp.br.debian.org
This package contains the headers for libxfce4util6. If you intend to code
applications for the Xfce4 desktop environment, you need to install this
package.
The libxfce4util6 Reference Manual is also included and
it can be consulted using Devhelp or a web browser.

Alternatives

Package Version Architecture Repository
libxfce4util-dev_4.10.1-2_i386.deb 4.10.1 i386 Debian Main
libxfce4util-dev - - -

Requires

Name Value
libglib2.0-dev -
libxfce4util6 = 4.10.1-2

Replaces

Name Value
libxfce4util6-dev -

Download

Type URL
Binary Package libxfce4util-dev_4.10.1-2_amd64.deb
Source Package libxfce4util

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxfce4util-dev deb package:
    # sudo apt-get install libxfce4util-dev

Files

Path
/usr/include/xfce4/libxfce4util/libxfce4util-config.h
/usr/include/xfce4/libxfce4util/libxfce4util.h
/usr/include/xfce4/libxfce4util/xfce-debug.h
/usr/include/xfce4/libxfce4util/xfce-fileutils.h
/usr/include/xfce4/libxfce4util/xfce-generics.h
/usr/include/xfce4/libxfce4util/xfce-i18n.h
/usr/include/xfce4/libxfce4util/xfce-kiosk.h
/usr/include/xfce4/libxfce4util/xfce-license.h
/usr/include/xfce4/libxfce4util/xfce-miscutils.h
/usr/include/xfce4/libxfce4util/xfce-posix-signal-handler.h
/usr/include/xfce4/libxfce4util/xfce-rc.h
/usr/include/xfce4/libxfce4util/xfce-resource.h
/usr/include/xfce4/libxfce4util/xfce-utf8.h
/usr/lib/x86_64-linux-gnu/libxfce4util.so
/usr/lib/x86_64-linux-gnu/pkgconfig/libxfce4util-1.0.pc
/usr/share/doc/libxfce4util-dev/NEWS.gz
/usr/share/doc/libxfce4util-dev/TODO
/usr/share/doc/libxfce4util-dev/changelog.Debian.gz
/usr/share/doc/libxfce4util-dev/changelog.gz
/usr/share/doc/libxfce4util-dev/copyright
/usr/share/gtk-doc/html/libxfce4util/home.png
/usr/share/gtk-doc/html/libxfce4util/index.html
/usr/share/gtk-doc/html/libxfce4util/index.sgml
/usr/share/gtk-doc/html/libxfce4util/left.png
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-File-Utilities.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Internationalisation.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Miscellaneous-Utilities.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-POSIX-Signal-Handling.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Resource-Config-File-Support.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Resource-lookup-functions.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Software-Licenses.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Unicode-Support-Functions.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Version-Information.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Xfce-Generics.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Xfce-Kiosk-functions.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-core.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-datatypes.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-fundamentals.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-utilities.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util.devhelp2
/usr/share/gtk-doc/html/libxfce4util/reference.html
/usr/share/gtk-doc/html/libxfce4util/right.png
/usr/share/gtk-doc/html/libxfce4util/style.css
/usr/share/gtk-doc/html/libxfce4util/up.png

Changelog

2014-08-30 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.10.1-2) unstable; urgency=low
[ Evgeni Golov ]
* Correct Vcs-* URLs to point to anonscm.debian.org
[ Jackson Doak ]
* Bump standards version to 3.9.5
* debian/rules: Add disable-silent-rules
* debian/copyright: Don't use symlink licenses
[ Yves-Alexis Perez ]
* debian/control:
- add build-dep on dh-autoreconf, gtk-doc-tools and xfce4-dev-tools
- fix spelling error in libxfce4util6-dbg synopsys
* debian/rules:
- use dh-autoreconf addon to update aclocal.m4 and support ppc64el.
closes: #752769
2013-05-21 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.10.1-1) unstable; urgency=low
* New upstream release.
* Upload to unstable.
* debian/rules:
- enable all hardening flags.
2012-07-22 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.10.0-2) experimental; urgency=low
* debian/patches:
- 02_fix-abicheck.sh added, fix FTBFS on ppc64.             closes: #682414
2012-05-04 - Lionel Le Folgoc <mrpouit@gmail.com>
libxfce4util (4.10.0-1) experimental; urgency=low
* New upstream stable release.
* Revert to unversioned -dev package name, we don't intend to keep the old
one around.
2012-04-15 - Lionel Le Folgoc <mrpouit@gmail.com>
libxfce4util (4.9.1-1) experimental; urgency=low
[ Lionel Le Folgoc ]
* New upstream development release.
[ Yves-Alexis Perez ]
* debian/rules:
- build with --parallel.
2012-04-07 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.9.0-1) experimental; urgency=low
[ Lionel Le Folgoc ]
* debian/patches: add missing DEP3 headers.
* debian/control: use Breaks instead of Conflicts when possible.
[ Yves-Alexis Perez ]
* New upstream development release.
- update symbols file.
- rename library package to follow soname change.
- rename -dev package to follow API change.
* debian/control:
- update standards version to 3.9.3.
- update debhelper build dep to 9.
- add build-dep on dpkg-dev 1.16.1.
- drop hardening-includes build-dep.
- add Pre-Depends on ${misc:Pre-Depends} for multi-arch.
- replace Conflicts by Breaks
- make libxfce4util6-dev Breaks/Replaces libxfce4util-dev
* debian/compat bumped to 8
* debian/libxfce4util6-dev.install:
- stop shipping static file, it's not built by default anymore anyway.
- update paths for multi-arch.
* debian/libxfce4util6.install:
- update paths for multi-arch.
* debian/rules:
- use hardening support of debhelper 9 and dpkg-dev 1.16.1.
* debian/copyright updated.
2011-09-12 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.8.2-1) unstable; urgency=low
* New upstream release.
* debian/patches:
- 01_add-desktop-base-in-config-dirs refreshed
2011-06-20 - Lionel Le Folgoc <mrpouit@gmail.com>
libxfce4util (4.8.1-3) unstable; urgency=low
* debian/patches:
- xubuntu_desktop-x-ubuntu-gettext.patch: added from ubuntu.
- ubuntu.series: list this patch only.
2011-04-19 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.8.1-2) unstable; urgency=low
* Upload to unstable.
* debian/control:
- update section to xfce.
- remove Emanuele and Simon from uploaders, thanks to them. 
- update standards version to 3.9.2.

See Also

Package Description
libxfce4util6_4.10.1-2_amd64.deb Utility functions library for Xfce4
libxfcegui4-4_4.10.0-2_amd64.deb Basic GUI C functions for Xfce4
libxfcegui4-dev_4.10.0-2_amd64.deb Development files for libxfcegui4-4
libxfconf-0-2_4.10.0-3_amd64.deb Client library for Xfce4 configure interface
libxfconf-0-dev_4.10.0-3_amd64.deb Development files for libxfconf
libxfixes-dev_5.0.1-2+deb8u1_amd64.deb X11 miscellaneous 'fixes' extension library (development headers)
libxfixes3_5.0.1-2+deb8u1_amd64.deb X11 miscellaneous 'fixes' extension library
libxfont-dev_1.5.1-1+deb8u1_amd64.deb X11 font rasterisation library (development headers)
libxfont1_1.5.1-1+deb8u1_amd64.deb X11 font rasterisation library
libxfreerdp-client1.1_1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1_amd64.deb Free Remote Desktop Protocol library (xfreerdp-client library)
libxft-dev_2.3.2-1_amd64.deb FreeType-based font drawing library for X (development files)
libxft2_2.3.2-1_amd64.deb FreeType-based font drawing library for X
libxgks-dev_2.6.1+dfsg.2-3_amd64.deb X11 Graphical Kernel Subsystem, development files
libxgks2-data_2.6.1+dfsg.2-3_all.deb Font files for the X11 Graphical Kernel Subsystem
libxgks2_2.6.1+dfsg.2-3_amd64.deb X11 Graphical Kernel Subsystem, library
Advertisement
Advertisement